Subject: Re: [PATCH] add relation and block-level filtering to pg_waldump

From: Cary Huang <[email-masked]>
Date: Mon, 28 Feb 2022 22:56:31 +0000

The following review has been posted through the commitfest application:
make installcheck-world:  tested, passed
Implements feature:       tested, passed
Spec compliant:           tested, passed
Documentation:            tested, passed

Hi

I am glad to find this patch here because it helps with my current development work, which involves a lot of debugging with the WAL records and this patch definitely make this much easier rather than using grep externally. 

I have tried all of the new options added by the patch and every combination seems to result correctly. 

The only comment I would have is in the documentation, where I would replace:
"Display only records touching the given block" with "Display only records associated with the given block" 
"Display only records touching the given relation" with " Display only records associated with the given relation"

just to make it sound more formal. :)

best

Cary Huang
------------------
HighGo Software Canada
www.highgo.ca